# Rect Struct Reference

Specification of a rectangle with absolute coordinates of all edges. More...

`#include <geometry_type.hpp>`

Inheritance diagram for Rect:

## Data Fields
int | left
int | top
int | right
int | bottom

## Detailed Description

Specification of a rectangle with absolute coordinates of all edges.

Definition at line 40 of file geometry_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/geometry_type.hpp